Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.xkms
Class StatusResult

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.xkms.Message
oracle.security.xmlsec.xkms.Result
oracle.security.xmlsec.xkms.StatusResult`

public class StatusResult
extends Result

Represents the `xkms:StatusResult` element.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`StatusResult(org.w3c.dom.Document owner)` Creates a new `StatusResult` instance.
`StatusResult(org.w3c.dom.Document owner, java.lang.String systemId)` Creates a new `StatusResult` instance.
`StatusResult(org.w3c.dom.Element element)` Creates a new `StatusResult` instance.

Method Summary
`int` | `getFailure()` Returns the value of the `Failure` attribute for this message or `0` if none is set.
`int` | `getPending()` Returns the value of the `Pending` attribute for this message or `0` if none is set.
`int` | `getSuccess()` Returns the value of the `Success` attribute for this message or `0` if none is set.
`void` | `setFailure(int value)` Sets the `Failure` attribute for this message.
`void` | `setPending(int value)` Sets the `Pending` attribute for this message.
`void` | `setSuccess(int value)` Sets the `success` attributes for this message.

Methods inherited from class oracle.security.xmlsec.xkms.Result
`getRequestID, getRequestSignatureBytes, getRequestSignatureValue, getResultMajor, getResultMinor, setRequestID, setRequestSignatureValue, setResultCode`

Methods inherited from class oracle.security.xmlsec.xkms.Message
`addMessageExtension, clearSignature, getId, getMessageExtensions, getNonce, getOpaqueClientData, getService, getSignature, insertChild, insertChild, removeChildren, setId, setNonce, setOpaqueClientData, setService, setSignature`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusResult

    public StatusResult(org.w3c.dom.Element element)
                 throws org.w3c.dom.DOMException

  Creates a new `StatusResult` instance.
Parameters:
  `element` - An Element node in the XML document.
Throws:
  `org.w3c.dom.DOMException`

### StatusResult

    public StatusResult(org.w3c.dom.Document owner)
                 throws org.w3c.dom.DOMException

  Creates a new `StatusResult` instance.
Parameters:
  `owner` - The owner document of the new `StatusResult`.
Throws:
  `org.w3c.dom.DOMException`

### StatusResult

    public StatusResult(org.w3c.dom.Document owner,
                        java.lang.String systemId)
                 throws org.w3c.dom.DOMException

  Creates a new `StatusResult` instance.
Parameters:
  `owner` - The owner document of the new `StatusResult`.
  `systemId` - The URI string system ID for the `Message`.
Throws:
  `org.w3c.dom.DOMException`

Method Detail

### setSuccess

    public void setSuccess(int value)
                    throws org.w3c.dom.DOMException

  Sets the `success` attributes for this message.
  Parameters:
    `value` - The success code.
  Throws:
    `org.w3c.dom.DOMException`

### getSuccess

    public int getSuccess()

  Returns the value of the `Success` attribute for this message or `0` if none is set.
  Returns:
    The success code.

### setFailure

    public void setFailure(int value)
                    throws org.w3c.dom.DOMException

  Sets the `Failure` attribute for this message.
  Parameters:
    `value` - The Failure code.
  Throws:
    `org.w3c.dom.DOMException`

### getFailure

    public int getFailure()

  Returns the value of the `Failure` attribute for this message or `0` if none is set.
  Returns:
    The Failure code.

### setPending

    public void setPending(int value)
                    throws org.w3c.dom.DOMException

  Sets the `Pending` attribute for this message.
  Parameters:
    `value` - The Pending code.
  Throws:
    `org.w3c.dom.DOMException`

### getPending

    public int getPending()

  Returns the value of the `Pending` attribute for this message or `0` if none is set.
  Returns:
    The Pending code.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.